## gridengine 8.1.9+dfsg

=== source/clients/Makefile ===
###############################################################################
# include sub Makefiles
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
include $(SDIR)/clients/common/Makefile
include $(SDIR)/clients/qacct/Makefile
include $(SDIR)/clients/qalter/Makefile
include $(SDIR)/clients/qconf/Makefile
include $(SDIR)/clients/qdel/Makefile
include $(SDIR)/clients/qhost/Makefile
include $(SDIR)/clients/qquota/Makefile
include $(SDIR)/clients/qmod/Makefile
include $(SDIR)/clients/qrsh/Makefile
include $(SDIR)/clients/qsh/Makefile
include $(SDIR)/clients/qstat/Makefile
include $(SDIR)/clients/qsub/Makefile
include $(SDIR)/clients/qevent/Makefile
include $(SDIR)/clients/qrsub/Makefile
include $(SDIR)/clients/qrdel/Makefile
include $(SDIR)/clients/qrstat/Makefile
include $(SDIR)/clients/showq/Makefile

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################

clients: clients_common qacct qalter qconf qdel qhost qquota qmod qrsh qsh qstat qsub qevent qrsub qrdel qrstat # showq

clients_clean: clients_common_clean qacct_clean qalter_clean qconf_clean qdel_clean qhost_clean qquota_clean qmod_clean qrsh_clean qsh_clean qstat_clean qsub_clean qevent_clean qrsub_clean qrdel_clean qrstat_clean showq_clean

clients_depend: clients_common_depend qacct_depend qalter_depend qconf_depend qdel_depend qhost_depend qquota_depend qmod_depend qrsh_depend qsh_depend qstat_depend qsub_depend qevent_depend qrsub_depend qrdel_depend qrstat_depend showq_depend

clients_messages: clients_common_messages qacct_messages qalter_messages qconf_messages qdel_messages qhost_messages qquota_messages qmod_messages qrsh_messages qsh_messages qstat_messages qsub_messages qevent_messages qrsub_messages qrdel_messages qrstat_messages showq_messages

=== source/common/Makefile ===
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
common: $(COMMON_OBJS) $(CONFIG_BUILT)

common_clean:
	$(RM) $(COMMON_OBJS) sge_config.h

common_depend:
	$(DEPEND) -f$(COMMON_DIR)/common_dependencies $(COMMON_DIR)/*.c

common_messages:
	@$(RM) $(MESSAGES); touch $(MESSAGES)
	@echo Creating $@
	@for i in `ls $(COMMON_DIR)/*.c`; do \
		$(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ; \
	done


###############################################################################
# Variable definitions for targets to build
###############################################################################
COMMON_DIR = $(SDIR)/common

COMMON_SRC = \
            sge_options.c \
            execution_states.c \
            parse_job_cull.c \
            parse_qsub.c \
            sig_handlers.c \
            usage.c \
            sge_mt_init.c \
            sge_ijs_comm.c \
            sge_ijs_threads.c

COMMON_OBJS = $(COMMON_SRC:.c=.o)

CONFIG_BUILT = sge_config.h $(COMMON_DIR)/sge_config.h.in $(SDIR)/configure

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(COMMON_DIR)/common_dependencies

sge_config.h: $(COMMON_DIR)/sge_config.h.in $(SDIR)/configure
	../configure CC="$(CC)" CFLAGS="`echo $(CFLAGS) | sed -e's/-DSGE_ARCH_STRING=[^ ]*//'`"

$(COMMON_DIR)/sge_config.h.in $(SDIR)/configure: $(SDIR)/configure.ac
	cd .. && autoreconf

###############################################################################
# rules to build object codes
###############################################################################
sge_options.o:	$(COMMON_DIR)/sge_options.c
		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(COMMON_DIR)/sge_options.c

execution_states.o: $(COMMON_DIR)/execution_states.c
		$(CC) $(CFLAGS) -c $(COMMON_DIR)/execution_states.c

parse_job_cull.o    : $(COMMON_DIR)/parse_job_cull.c
		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(COMMON_DIR)/parse_job_cull.c

parse_qsub.o:	$(COMMON_DIR)/parse_qsub.c
		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(COMMON_DIR)/parse_qsub.c

sig_handlers.o   : $(COMMON_DIR)/sig_handlers.c
		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(COMMON_DIR)/sig_handlers.c

usage.o: 	$(COMMON_DIR)/usage.c
		$(CC) $(CFLAGS) -c $(COMMON_DIR)/usage.c

sge_mt_init.o: 	$(COMMON_DIR)/sge_mt_init.c
		$(CC) $(CFLAGS) -c $(COMMON_DIR)/sge_mt_init.c

sge_ijs_comm.o:	$(COMMON_DIR)/sge_ijs_comm.c 
		$(CC) $(CFLAGS) -c $(COMMON_DIR)/sge_ijs_comm.c

sge_ijs_threads.o:	$(COMMON_DIR)/sge_ijs_threads.c 
		$(CC) $(CFLAGS) -c $(COMMON_DIR)/sge_ijs_threads.c

=== source/daemons/Makefile ===
###############################################################################
# include sub Makefiles
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
include $(SDIR)/daemons/common/Makefile
include $(SDIR)/daemons/execd/Makefile
include $(SDIR)/daemons/qmaster/Makefile
include $(SDIR)/daemons/shadowd/Makefile
include $(SDIR)/daemons/shepherd/Makefile

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
daemons: daemons_common execd qmaster shadowd shepherd

daemons_clean: daemons_common_clean commlib_clean commlistslib_clean execd_clean qmaster_clean shadowd_clean shepherd_clean

daemons_depend: daemons_common_depend execd_depend qmaster_depend shadowd_depend shepherd_depend

daemons_messages: daemons_common_messages commd_messages execd_messages qmaster_messages shadowd_messages shepherd_messages

=== source/libs/Makefile ===
###############################################################################
# include sub Makefiles
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__

include $(SDIR)/libs/uti/Makefile
include $(SDIR)/libs/uti2/Makefile
include $(SDIR)/libs/cull/Makefile
include $(SDIR)/libs/comm/Makefile
include $(SDIR)/libs/sgeobj/Makefile
include $(SDIR)/libs/gdi/Makefile
include $(SDIR)/libs/evc/Makefile
include $(SDIR)/libs/evm/Makefile
include $(SDIR)/libs/mir/Makefile
include $(SDIR)/libs/sched/Makefile
include $(SDIR)/libs/spool/Makefile
include $(SDIR)/libs/japi/Makefile
include $(SDIR)/libs/juti/Makefile
include $(SDIR)/libs/jgdi/Makefile
include $(SDIR)/libs/ijs/Makefile

###############################################################################
# Variable definitions for targets to build
###############################################################################
SGELIB      = libsge$(LIBEXT)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
libs: sgeobjlib gdilib evclib evmlib mirlib spoollib_all culllib_all schedlib_all utilib drmaa_all comm_all ijslib $(JUTI_ALL) $(SGELIB) uti2lib

libs_clean: gdilib_clean sgeobjlib_clean evclib_clean evmlib_clean mirlib_clean spoollib_clean commlib_clean commlistslib_clean culllib_clean schedlib_clean utilib_clean drmaa_clean ijslib_clean $(JUTI_CLEAN) $(SGELIB)_clean uti2lib_clean

$(SGELIB)_clean:
	$(RM) libsge.a libsge$(SHAREDEXT)

libs_depend: gdilib_depend sgeobjlib_depend evclib_depend evmlib_depend mirlib_depend spoollib_depend culllib_depend schedlib_depend utilib_depend drmaa_depend commlib_depend commlistslib_depend ijslib_depend $(JUTI_DEPEND) uti2lib_depend

libs_messages: gdilib_messages sgeobjlib_messages evclib_messages evmlib_messages mirlib_messages spoollib_messages commlib_messages cull_messages schedlib_messages utilib_messages drmaa_messages $(JUTI_MESSAGES) uti2lib_messages


###############################################################################
# rules to build library libsge.a
###############################################################################
libsge.a:	$(SCHEDLIB_OBJS) $(GDILIB_OBJS) $(SGEOBJLIB_OBJS) $(SGEOBJDLIB_OBJS) $(KRBLIBS) $(COMMLIB_OBJS) $(COMMLISTSLIB_OBJS) $(CULLLIB_OBJS) $(UTILIB_OBJS)
	$(AR) $(ARFLAGS) libsge.a $(SCHEDLIB_OBJS) $(GDILIB_OBJS) $(SGEOBJLIB_OBJS) $(SGEOBJDLIB_OBJS) $(KRBLIBS) $(COMMLIB_OBJS) $(COMMLISTSLIB_OBJS) $(CULLLIB_OBJS) $(UTILIB_OBJS)
	$(RANLIB) $(SGELIB)

libsge$(SHAREDEXT): $(SCHEDLIB_OBJS) $(MIRLIB_OBJS) $(EVCLIB_OBJS) $(GDILIB_OBJS) $(SGEOBJLIB_OBJS) $(SGEOBJDLIB_OBJS) $(KRBLIBS) $(COMMLIB_OBJS) $(COMMLISTSLIB_OBJS) $(CULLLIB_OBJS) $(UTILIB_OBJS) sig_handlers.o
	$(SHAREDLD) $(SHARED_LFLAGS) -o libsge$(SHAREDEXT) $(SCHEDLIB_OBJS) $(MIRLIB_OBJS) $(EVCLIB_OBJS) $(GDILIB_OBJS) $(SGEOBJLIB_OBJS) $(SGEOBJDLIB_OBJS) $(KRBLIBS) $(COMMLIB_OBJS) $(COMMLISTSLIB_OBJS) $(CULLLIB_OBJS) $(UTILIB_OBJS) sig_handlers.o $(LOADAVGLIBS) $(LIBS) -lc

=== source/utilbin/Makefile ===
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__

###############################################################################
# Variable definitions for targets to build
###############################################################################
UTILBIN_DIR   = $(SDIR)/utilbin

UTILBIN_TARGETS = uidgid gethostname gethostbyname gethostbyaddr \
                 getservbyname filestat checkprog work \
                 signals loadcheck now \
                 adminrun checkuser languagetest \
                 testsuidroot infotext spooldefaults spooledit spoolinit read_raw echo_raw \
                 tst_pthread_signals fstype qping sgepasswd sge_share_mon \
                 valid_jvmlib $(AUTHUSER_ALL) $(LOADCHECK_ALL)

UTILBIN_SRC =  uidgid.c gethostname.c gethostbyname.c gethostbyaddr.c \
               getservbyname.c filestat.c signals.c now.c \
               checkuser.c adminrun.c range.c  \
               languagetest.c infotext.c \
               spooldefaults.c spooledit.c spoolinit.c read_raw.o echo_raw.o \
               tst_pthread_signals.c fstype.c qping.c authuser.c sge_share_mon.c \
               valid_jvmlib.c

UTILBIN_OBJS  = $(UTILBIN_SRC:.c=.o) 

UTILBIN_TARGET_OBJS = checkprog.o loadcheck.o testsuidroot.o work.o \
                      sge_passwd_main.o $(AUTHUSER_OBJ) $(LOADCHECK_OBJ) $(JUTI_OBJ)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
utilbin:	$(UTILBIN_TARGETS)

utilbin_clean:
		$(RM) $(UTILBIN_TARGETS) $(UTILBIN_OBJS) $(UTILBIN_TARGET_OBJS)

utilbin_depend:
	$(DEPEND) -f$(UTILBIN_DIR)/utilbin_dependencies $(UTILBIN_DIR)/*.c

utilbin_messages:
	@echo Creating $@
	@for i in `ls $(UTILBIN_DIR)/*.c`; do \
	   $(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ;\
	done

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(UTILBIN_DIR)/utilbin_dependencies

###############################################################################
# rules to build object codes and binaries
###############################################################################
uidgid:		uidgid.o version.o $(UTILIB) $(WINGRIDLIB_DEP) 
		$(CC) -o $@ $(LFLAGS) uidgid.o version.o $(UTILIB) $(WINGRIDLIB) $(LIBS)

uidgid.o:	$(UTILBIN_DIR)/uidgid.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/uidgid.c

#---------------------------------------------------------------------
gethostname:	gethostname.o version.o $(UTILIB) $(WINGRIDLIB_DEP) $(COMMLIB) $(COMMLISTSLIB) 
		$(CC) -o $@ $(LFLAGS) gethostname.o version.o  -lcomm -lcommlists -luti $(WINGRIDLIB) $(SECLIB) $(DLLIB) $(LIBS)

gethostname.o:	$(UTILBIN_DIR)/gethostname.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/gethostname.c

#---------------------------------------------------------------------
gethostbyname:	gethostbyname.o version.o $(UTILIB) $(WINGRIDLIB_DEP) $(COMMLIB) $(COMMLISTSLIB) 
		$(CC) -o $@ $(LFLAGS) gethostbyname.o version.o -lcomm -lcommlists -luti $(WINGRIDLIB) $(SECLIB) $(DLLIB) $(LIBS)

gethostbyname.o:	$(UTILBIN_DIR)/gethostbyname.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/gethostbyname.c

#---------------------------------------------------------------------
qping:	qping.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(GDILIB) $(COMMLIB) $(COMMLISTSLIB) $(SGEOBJLIB) $(SGEOBJDLIB) $(CULLLIB)
		$(CC) -o $@ $(LFLAGS) qping.o version.o -lgdi -lsgeobj -lsgeobjd -lcull -lcomm -lcommlists -luti $(WINGRIDLIB) $(SECLIB) $(KRBLIB) $(DLLIB) $(SLIBS) $(LIBS)

qping.o:	$(UTILBIN_DIR)/qping.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/qping.c


#---------------------------------------------------------------------
gethostbyaddr:	gethostbyaddr.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLIB) $(COMMLISTSLIB) 
		$(CC) -o $@ $(LFLAGS) gethostbyaddr.o version.o -lcomm -lcommlists -luti $(WINGRIDLIB) $(SECLIB) $(DLLIB) $(LIBS)

gethostbyaddr.o:	$(UTILBIN_DIR)/gethostbyaddr.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/gethostbyaddr.c

#---------------------------------------------------------------------
getservbyname:	getservbyname.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB) 
		$(CC) $(CFLAGS) -o $@ $(LFLAGS) getservbyname.o version.o -luti $(WINGRIDLIB) $(COMMLISTSLIB) $(DLLIB) $(LIBS)

getservbyname.o:	$(UTILBIN_DIR)/getservbyname.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/getservbyname.c

#---------------------------------------------------------------------
filestat:	filestat.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB)
		$(CC) $(CFLAGS) -o $@ $(LFLAGS) filestat.o version.o $(UTILIB) $(WINGRIDLIB) $(COMMLISTSLIB) $(LIBS)

filestat.o:	$(UTILBIN_DIR)/filestat.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/filestat.c

#---------------------------------------------------------------------
now:		now.o version.o
		$(CC) $(CFLAGS) -o $@ $(LFLAGS) now.o version.o 

now.o:		$(UTILBIN_DIR)/now.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/now.c

#---------------------------------------------------------------------
read_raw:		read_raw.o version.o
		$(CC) $(CFLAGS) -o $@ $(LFLAGS) read_raw.o version.o

read_raw.o:		$(UTILBIN_DIR)/read_raw.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/read_raw.c

#---------------------------------------------------------------------
echo_raw:		echo_raw.o version.o $(UTILIB) $(COMMLISTSLIB) 
		$(CC) $(CFLAGS) -o $@ $(LFLAGS) echo_raw.o version.o $(UTILIB) $(COMMLISTSLIB) $(LIBS)

echo_raw.o:		$(UTILBIN_DIR)/echo_raw.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/echo_raw.c

#---------------------------------------------------------------------
checkprog:	checkprog.o peopen_standalone.o pids_standalone.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB) 
		$(CC) $(CFLAGS) -o $@ $(LFLAGS) checkprog.o peopen_standalone.o pids_standalone.o version.o -luti $(WINGRIDLIB) $(COMMLISTSLIB) $(LIBS) $(DLLIB)

checkprog.o:	$(UTILBIN_DIR)/checkprog.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/checkprog.c

#---------------------------------------------------------------------
checkuser:     checkuser.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB)
		$(CC) $(CFLAGS) -o $@ $(LFLAGS) checkuser.o version.o $(UTILIB) $(WINGRIDLIB) $(COMMLISTSLIB) $(LIBS)

checkuser.o:      $(UTILBIN_DIR)/checkuser.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/checkuser.c

#---------------------------------------------------------------------
adminrun:   adminrun.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB) 
		$(CC) -o $@ $(LFLAGS) adminrun.o version.o $(UTILIB) $(WINGRIDLIB) $(COMMLISTSLIB) $(LIBS)

adminrun.o: $(UTILBIN_DIR)/adminrun.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/adminrun.c

#---------------------------------------------------------------------
range:		range.o version.o 
		$(CC) -o $@ $(LFLAGS) range.o version.o 

range.o:	$(UTILBIN_DIR)/range.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/range.c

#---------------------------------------------------------------------
signals:	signals.o version.o 
		$(CC) -o $@ $(LFLAGS) signals.o version.o 

signals.o:	$(UTILBIN_DIR)/signals.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/signals.c

#---------------------------------------------------------------------
loadcheck: loadcheck.o version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB) $(SGEOBJLIB) $(SGEOBJDLIB) $(CULLLIB) binding_support.o
	$(CC) -o $@ $(LFLAGS) loadcheck.o version.o binding_support.o $(SGEOBJLIB) $(SGEOBJDLIB) $(CULLLIB) $(UTILIB) $(WINGRIDLIB) $(COMMLISTSLIB) $(LOADAVGLIBS) $(HWLOCLIB) $(LIBS)

loadcheck.o: $(UTILBIN_DIR)/loadcheck.c
	$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/loadcheck.c

LOADCHECK_WINLFLAGS = /SUBSYSTEM:CONSOLE $(WINLFLAGS)

loadcheck.exe: loadcheck.obj
	$(WINCC) loadcheck.obj /link /OUT:loadcheck.exe $(LOADCHECK_WINLFLAGS) $(WINLIBS)

loadcheck.obj: $(UTILBIN_DIR)/loadcheck.c
	$(WINCC) $(WINCFLAGS) /c $(UTILBIN_DIR)/loadcheck.c

#---------------------------------------------------------------------
languagetest:   languagetest.o version.o  $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB) 
		$(CC) -o $@ $(LFLAGS) languagetest.o version.o $(UTILIB) $(WINGRIDLIB) $(COMMLISTSLIB) $(LIBS)

languagetest.o: $(UTILBIN_DIR)/languagetest.c
		$(CC) $(CFLAGS) $(GCC_NODUPLWARN) -c $(UTILBIN_DIR)/languagetest.c
#---------------------------------------------------------------------
infotext:   infotext.o  version.o $(WINGRIDLIB_DEP) $(UTILIB) $(COMMLISTSLIB) 
		$(CC) -o $@ $(LFLAGS) infotext.o version.o $(UTILIB) $(WINGRIDLIB) $(COMMLISTSLIB) $(LIBS)

infotext.o: $(UTILBIN_DIR)/infotext.c
		$(CC) $(CFLAGS) $(GCC_NODUPLWARN) -c $(UTILBIN_DIR)/infotext.c

#---------------------------------------------------------------------
fstype:   fstype.o  version.o $(WINGRIDLIB_DEP) $(COMMLISTSLIB) $(UTILIB) 
		$(CC) -o $@ $(LFLAGS) fstype.o version.o $(WINGRIDLIB) $(FSTYPELIBS) $(UTILIB) $(COMMLISTSLIB) $(LIBS)

fstype.o: $(UTILBIN_DIR)/fstype.c
		$(CC) $(CFLAGS) $(MEMCFLAG) $(GCC_NODUPLWARN) -c $(UTILBIN_DIR)/fstype.c
#---------------------------------------------------------------------
spooldefaults:   spooldefaults.o  version.o sge_mt_init.o $(SPOOLING_DEPS) $(SPOOLCLIB) $(SPOOLLIB) $(SCHEDLIB) $(EVCLIB) $(GDILIB) $(SGEOBJLIB) $(SGEOBJDLIB) $(COMMLIB) $(COMMLISTSLIB) $(CULLLIB) $(WINGRIDLIB_DEP) $(UTILIB) 
		$(CC) -o $@ $(LFLAGS) spooldefaults.o version.o sge_mt_init.o -lspoolc $(SPOOLING_LIBS) -lsched -levc -lgdi -lsgeobj -lsgeobjd $(KRBLIB) -lcull -lcomm -lcommlists -luti $(SECLIB) $(WINGRIDLIB) $(DLLIB) $(SLIBS) $(LIBS)

spooldefaults.o: $(UTILBIN_DIR)/spooldefaults.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/spooldefaults.c

#---------------------------------------------------------------------
spoolinit:   spoolinit.o  version.o sge_mt_init.o $(SPOOLING_DEPS) $(SPOOLLIB) $(SCHEDLIB) $(EVCLIB) $(GDILIB) $(SGEOBJDLIB) $(SGEOBJLIB) $(COMMLIB) $(COMMLISTSLIB) $(CULLLIB) $(WINGRIDLIB_DEP) $(UTILIB) $(UTI2LIB) $(UTI2LIB)
		$(CC) -o $@ $(LFLAGS) spoolinit.o version.o sge_mt_init.o $(SPOOLING_LIBS) $(SCHEDLIB) $(EVCLIB) $(GDILIB) $(SGEOBJDLIB) $(SGEOBJLIB) $(CULLLIB) $(COMMLIB) $(COMMLISTSLIB) $(UTILIB) $(UTI2LIB) $(WINGRIDLIB) $(SECLIB) $(KRBLIB) $(DLLIB) $(SLIBS) $(LIBS)

spoolinit.o: $(UTILBIN_DIR)/spoolinit.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/spoolinit.c

#---------------------------------------------------------------------
testsuidroot:   testsuidroot.o version.o $(WINGRIDLIB_DEP)  $(UTILIB) $(COMMLISTSLIB)
		$(CC) -o $@ $(LFLAGS) testsuidroot.o version.o $(UTILIB) $(COMMLISTSLIB) $(WINGRIDLIB) $(LIBS)

testsuidroot.o: $(UTILBIN_DIR)/testsuidroot.c
		$(CC) $(CFLAGS) -c $(UTILBIN_DIR)/testsuidroot.c

#---------------------------------------------------------------------

=== source/3rdparty/qmon/Makefile ===
###############################################################################
# include sub Makefiles
###############################################################################
include ../Xmt310/Xmt/Makefile.aimk
include ../Xbae/Makefile.aimk
include ../spinbox/Makefile.aimk
include ../iconlist/Makefile.aimk
include ../ltree/Makefile.aimk
include ../tab/Makefile.aimk

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################

all: $(XBAELIB) $(XMTLIB) $(XSPINLIB) $(XICONLIB) \
     $(XLTREELIB) $(XTABLIB)

qmon: all

qmon_help:
	@echo .   

depend: 
	@echo "No dependencies for 3rd_party qmon libs yet" 

messages: 
	@echo "No messages for 3rd_party qmon libs yet"

clean: Xicon_clean Xltree_clean Xspin_clean Xtab_clean Xbae_clean Xmt_clean

=== source/3rdparty/remote/Makefile ===
###############################################################################
# Variable definitions for targets to build
###############################################################################
REMOTE_DIR = ..

REMOTE_TARGETS = rlogin rsh rshd libsgeremote.a

REMOTE_CFLAGS = -UKERBEROS

SGE_DIR = ../../..
SGE_ARCH_DIR = $(SGE_DIR)/$(COMPILE_ARCH)

RSH_OBJS = rsh.o

RSHD_OBJS = rshd.o

RSHD_ADD_OBJS = \
            $(SGE_ARCH_DIR)/setosjobid.o        \
            $(SGE_ARCH_DIR)/config_file.o       \
            $(SGE_ARCH_DIR)/err_trace.o         \
            $(SGE_ARCH_DIR)/sge_uidgid.o        \
            $(SGE_ARCH_DIR)/execution_states.o  \
            $(SGE_ARCH_DIR)/qlogin_starter.o    \
            $(SGE_ARCH_DIR)/setjoblimit.o       \
            $(SGE_ARCH_DIR)/setrlimits.o        \
            $(SGE_ARCH_DIR)/sge_parse_num_par.o


RSHD_ADD_LIBS = -L$(SGE_ARCH_DIR) -luti2 -lsgeobj -lsgeobjd $(KRBLIB) -lcull -lcommlists -luti $(WINGRIDLIB_STATIC)

# The last dependency usually reduces to a directory, and Cygwin's make
# doesn't like it.  Assume wingrid is built already.
RSHD_LIB_DEPENDS = $(SGE_ARCH_DIR)/libuti$(LIBEXT) # $(SGE_ARCH_DIR)/$(WINGRIDLIB_DEP)

RLOGIN_OBJS = rlogin.o

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
all: $(REMOTE_TARGETS)

depend:
	@echo No dependencies for 3rd_party remote 

clean: 
	$(RM) $(REMOTE_TARGETS) $(RSH_OBJS) $(RSHD_OBJS) $(RLOGIN_OBJS) sgessh.o

messages:

###############################################################################
# rules to build object codes and binaries
###############################################################################
libsgeremote$(LIBEXT): $(RSHD_ADD_OBJS) $(RSHD_LIB_DEPENDS) sgessh.o
		$(AR) $(ARFLAGS) libsgeremote$(LIBEXT) $(RSHD_ADD_OBJS) sgessh.o

rlogin:   $(RLOGIN_OBJS)
		$(CC) -o $@ $(LFLAGS) $(RLOGIN_OBJS) $(LIBS)

rlogin.o: $(REMOTE_DIR)/rlogin.c
		$(CC) $(CFLAGS) $(REMOTE_CFLAGS) $(GCC_NODUPLWARN) -c $(REMOTE_DIR)/rlogin.c

rsh:   $(RSH_OBJS)
		$(CC) -o $@ $(LFLAGS) $(RSH_OBJS) $(LIBS)

rsh.o: $(REMOTE_DIR)/rsh.c
		$(CC) $(CFLAGS) $(REMOTE_CFLAGS) -c $(REMOTE_DIR)/rsh.c

rshd:   $(RSHD_OBJS) $(RSHD_ADD_OBJS) $(RSHD_LIB_DEPENDS) 
		$(CC) -o $@ $(LFLAGS) $(RSHD_OBJS) $(RSHD_ADD_OBJS) $(RSHD_ADD_LIBS) $(LIBS) 

rshd.o: $(REMOTE_DIR)/rshd.c $(RSHD_ADD_OBJS)
		$(CC) $(CFLAGS) $(REMOTE_CFLAGS) -I$(SGE_ARCH_DIR) -I$(SGE_DIR)/daemons/common -I$(SGE_DIR)/common -I$(SGE_DIR)/libs/uti -I$(SGE_DIR)/daemons/shepherd -c $(REMOTE_DIR)/rshd.c

sgessh.o: $(REMOTE_DIR)/sgessh.c $(RSHD_ADD_OBJS)
		$(CC) $(CFLAGS) $(REMOTE_CFLAGS) -I$(SGE_ARCH_DIR) -I$(SGE_DIR)/daemons/common -I$(SGE_DIR)/common -I$(SGE_DIR)/libs/uti -I$(SGE_DIR)/daemons/shepherd -c $(REMOTE_DIR)/sgessh.c

=== source/3rdparty/sge-sshd-control/Makefile ===
all: pam_sge-qrsh-setup$(SHAREDEXT)

pam_sge-qrsh-setup$(SHAREDEXT): ../3rdparty/sge-sshd-control/pam_sge-qrsh-setup.c
	$(CC) $(CFLAGS) $(SHARED_CFLAGS) $(SHARED_LFLAGS) -o $@ $<

clean:
	$(RM) pam_sge-qrsh-setup.so

depend:

=== source/3rdparty/sge_depend/Makefile ===
###############################################################################
# Variable definitions for binaries called by make
###############################################################################
CC=cc
RM=rm -f

CFLAGS=-O

###############################################################################
# Variable definitions for targets to build
###############################################################################
DEP_DIR=..

SRCS = include.c main.c parse.c pr.c cppsetup.c ifparser.c
OBJS = include.o main.o parse.o pr.o cppsetup.o ifparser.o

STDINCDIR = /usr/include
STDINC_DEFINES = -DINCLUDEDIR=\"$(STDINCDIR)\"

POSTINC_DEFINES = #-DPOSTINCDIR=\"$(POSTINCDIR)\"

INC_DEFINES = $(PREINC_DEFINES) $(STDINC_DEFINES) $(POSTINC_DEFINES)
OSUF = .o
OSUF_DEFINES = -DOBJSUFFIX=\"$(OSUF)\"
MAIN_DEFINES = $(INC_DEFINES) $(SIGNAL_DEFINES) $(OSUF_DEFINES)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
all: sge_depend

clean:
	$(RM) $(OBJS) sge_depend 

depend:
	@echo "."

###############################################################################
# rules to build binaries
###############################################################################
sge_depend: $(OBJS)
	$(CC) -o $@ $(LFLAGS) $(OBJS)

###############################################################################
# rules to build object codes
###############################################################################
main.o:	$(DEP_DIR)/main.c
		$(CC) -c $(CFLAGS) $(MAIN_DEFINES) $(DEP_DIR)/main.c

parse.o:	$(DEP_DIR)/parse.c
		$(CC) -c $(CFLAGS) $(MAIN_DEFINES) $(DEP_DIR)/parse.c

ifparser.o:	$(DEP_DIR)/ifparser.c
		$(CC) -c $(CFLAGS) $(MAIN_DEFINES) $(DEP_DIR)/ifparser.c

cppsetup.o:	$(DEP_DIR)/cppsetup.c
		$(CC) -c $(CFLAGS) $(MAIN_DEFINES) $(DEP_DIR)/cppsetup.c

include.o:	$(DEP_DIR)/include.c
		$(CC) -c $(CFLAGS) $(MAIN_DEFINES) $(DEP_DIR)/include.c

pr.o:	$(DEP_DIR)/pr.c
		$(CC) -c $(CFLAGS) $(MAIN_DEFINES) $(DEP_DIR)/pr.c

=== source/3rdparty/tacc_pam_sge/Makefile ===
###############################################################################
# Variable definitions for targets to build
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
TACCLIB_DIR = $(SDIR)/3rdparty/tacc_pam_sge

TACCLIB = pam_sge_authorize

TACCLIB_SRC = pam_sge_authorize.c

TACCFOO_SRC = foo.c

TACCFOO_OBJS = foo.o

TACCFOO = foo

TACCLIB_OBJS = $(TACCLIB_SRC:.c=.o)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################

tacclib: tacclib_so

tacclib_so:	$(TACCLIB)$(SHAREDEXT)

clean:
		$(RM) $(TACCLIB_OBJS) $(TACCLIB)$(SHAREDEXT)

depend:
		$(DEPEND) -f$(TACCLIB_DIR)/tacc_dependencies $(TACCLIB_DIR)/*.c

messages:
	@echo Creating $@
	@for i in `ls $(TACCLIB_DIR)/*.c`; do \
	   $(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ;\
	done

###############################################################################
# rules to build library
###############################################################################

$(TACCFOO): $(TACCFOO_OBJS)
	$(CC) $(CFLAGS) -o $(TACCFOO) $(TACCFOO_OBJS) libsge.a libsched.a libevc.a libgdi.a libsgeobj.a libsgeobjd.a libcull.a libcomm.a libcommlists.a libuti.a -lc -ldl  -lm -lpthread

$(TACCLIB)$(SHAREDEXT): $(TACCLIB_OBJS) $(SGEOBJDLIB) $(COMMLIB) $(COMMLISTSLIB) $(CULLLIB) $(UTILIB)
	$(SHAREDLD) $(SHARED_LFLAGS) -o $(TACCLIB)$(SHAREDEXT) $(TACCLIB_OBJS) libsge.a libcull.a libuti.a -ldl -lpthread

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(TACCLIB_DIR)/tacc_dependencies

###############################################################################
# rules to build object codes
###############################################################################

#pam_test_subroutine.o:	$(TACCLIB_DIR)/pam_test_subroutine.c
#		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(TACCLIB_DIR)/pam_test_subroutine.c

# note - use -DPAM_DEBUG to debug this sucker - see comments in code
pam_sge_authorize.o:	$(TACCLIB_DIR)/pam_sge_authorize.c
		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(TACCLIB_DIR)/pam_sge_authorize.c

$(TACCFOO_OBJS):	$(TACCLIB_DIR)/foo.c
		$(CC) $(CFLAGS) $(SHARED_CFLAGS) -c $(TACCLIB_DIR)/foo.c


#---------------------------------------------------------------------
# test programs

=== source/clients/qacct/Makefile ===
###############################################################################
# Variable definitions for targets to build
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
QACCT_DIR = $(SDIR)/clients/qacct

QACCT_TARGETS = qacct

QACCT_SRC = qacct.c

QACCT_ADD_SRC = \
            execution_states.c \
            sig_handlers.c

QACCT_OBJS = $(QACCT_SRC:.c=.o) 

QACCT_ADD_OBJS = $(QACCT_ADD_SRC:.c=.o)

QACCT_ADD_LIBS = -lsched -levc -lgdi -lsgeobj -lsgeobjd -lcull -lcomm -lcommlists -luti $(SECLIB) $(KRBLIB) $(WINGRIDLIB) $(DLLIB)

QACCT_LIB_DEPENDS = $(EVCLIB) $(GDILIB) $(SGEOBJLIB) $(SGEOBJDLIB) $(KRBLIBS) $(SCHEDLIB) $(CULLLIB) $(COMMLIB) $(COMMLISTSLIB) $(WINGRIDLIB_DEP) $(UTILIB) $(TPLIB)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
qacct_clean:
	$(RM) $(QACCT_TARGETS) $(QACCT_OBJS)

qacct_depend:
		$(DEPEND) -f$(QACCT_DIR)/qacct_dependencies $(QACCT_DIR)/*.c

qacct_messages:
	@echo Creating $@
	@for i in `ls $(QACCT_DIR)/*.c`; do \
		$(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ; \
	done


###############################################################################
# rules to build binaries
###############################################################################
qacct: $(QACCT_OBJS) $(QACCT_ADD_OBJS) $(QACCT_LIB_DEPENDS)
	$(LD_WRAPPER) $(CC) -o $@ $(LFLAGS) $(QACCT_OBJS) $(QACCT_ADD_OBJS) $(QACCT_ADD_LIBS) $(SLIBS) $(LIBS)

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(QACCT_DIR)/qacct_dependencies

###############################################################################
# rules to build object codes
###############################################################################
qacct.o : $(QACCT_DIR)/qacct.c
		$(CC) $(CFLAGS) -c $(QACCT_DIR)/qacct.c

=== source/clients/qalter/Makefile ===
###############################################################################
# Variable definitions for targets to build
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
QALTER_DIR = $(SDIR)/clients/qalter

QALTER_TARGETS = qalter

QALTER_SRC = qalter.c 

QALTER_ADD_SRC = sig_handlers.c parse_qsub.c \
               show_job.c parse_job_cull.c usage.c sge_options.c read_defaults.c

QALTER_OBJS = $(QALTER_SRC:.c=.o) 

QALTER_ADD_OBJS = $(QALTER_ADD_SRC:.c=.o)

QALTER_ADD_LIBS = -lgdi -lsgeobj -lsgeobjd -lcull -lcomm -lcommlists -luti $(WINGRIDLIB) $(SECLIB) $(KRBLIB) $(DLLIB)

QALTER_LIB_DEPENDS = $(GDILIB) $(SGEOBJLIB) $(SGEOBJDLIB) $(KRBLIBS) $(CULLLIB) $(COMMLIB) $(COMMLISTSLIB) $(WINGRIDLIB_DEP) $(UTILIB) $(TPLIB)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
qalter_clean:
	$(RM) $(QALTER_TARGETS) $(QALTER_OBJS)

qalter_depend:
		$(DEPEND) -f$(QALTER_DIR)/qalter_dependencies $(QALTER_DIR)/*.c

qalter_messages:
	@echo Creating $@
	@for i in `ls $(QALTER_DIR)/*.c`; do \
		$(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ; \
	done


###############################################################################
# rules to build binaries
###############################################################################
qalter: $(QALTER_OBJS) $(QALTER_ADD_OBJS) $(QALTER_LIB_DEPENDS)
		$(LD_WRAPPER) $(CC) -o $@ $(LFLAGS) $(QALTER_OBJS) $(QALTER_ADD_OBJS) $(QALTER_ADD_LIBS) $(SLIBS) $(LIBS)

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(QALTER_DIR)/qalter_dependencies

###############################################################################
# rules to build object codes
###############################################################################
qalter.o: 	$(QALTER_DIR)/qalter.c
		$(CC) $(CFLAGS) -c $(QALTER_DIR)/qalter.c

=== debian/changelog ===
gridengine (8.1.9+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 17 Jul 2016 17:12:56 -0700

=== debian/control ===
Source: gridengine
Section: utils
Priority: optional
Maintainer: Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>
Uploaders: Dave Love <d.love@liverpool.ac.uk>,
	   Afif Elghraoui <afif@debian.org>,
           Laszlo Kajan <lkajan@debian.org>,
           Mark Hymers <mhy@debian.org>,
           Michael Banck <mbanck@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
	autotools-dev,
	tcsh | c-shell,
	libdb-dev,
	libssl-dev,
	libncurses5-dev,
	libpam0g-dev,
	libxt-dev,
	libmotif-dev,
	libxpm-dev,
	libxmu-dev,
	po-debconf,
	default-jdk,
	ant,
	ant-optional,
	junit,
	javacc,
	libhwloc-dev,
	libjemalloc-dev,
	libxft-dev,
	libmunge-dev,
Standards-Version: 3.9.8
Homepage: https://arc.liv.ac.uk/trac/SGE/
Vcs-Git: https://anonscm.debian.org/git/pkg-gridengine/pkg-gridengine.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gridengine/pkg-gridengine.git

Package: gridengine-common
Architecture: all
Depends:
	${misc:Depends},
	adduser,
	bsd-mailx | mailx,
	ucf,
	tcsh | c-shell,
Suggests:
	python,
	tclsh,
Breaks:
	libdrmaa-dev,
	gridengine-drmaa-dev (<< 6.2u5-8),
Replaces:
	gridengine-client (<< 6.2u5-2),
	gridengine-drmaa-dev (<< 6.2u5-8),
	libdrmaa-dev
Description: Distributed resource management - common files
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains required shared files and the basic configuration.

Package: gridengine-client
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
	openssl,
Suggests:
	ssh-client,
	gridengine-qmon,
Conflicts: torque-client
Breaks:
	libdrmaa-java,
	gridengine-master (<< 6.2u5-8),
	gridengine-exec (<< 6.2u5-8),
Replaces:
	libdrmaa-java,
	gridengine-master (<< 6.2u5-8),
	gridengine-exec (<< 6.2u5-8),
Description: Utilities for Grid Engine queue management
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine user utilities.

Package: gridengine-qmon
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
Recommends: xfonts-75dpi | xfonts-100dpi
Description: Graphical utilities for Grid Engine queue management
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the graphical Grid Engine administration frontend.

Package: gridengine-master
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-client (= ${binary:Version}),
	procps,
Recommends: db-util
Description: Distributed resource management - Master Server
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine master server.

Package: gridengine-exec
Architecture: any
Replaces: gridengine-master (<< 6.2-3)
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
	gridengine-client (= ${binary:Version}),
	tcsh | c-shell,
	procps,
Suggests: openssh-server
Description: Distributed resource management - Execution Server
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine execution server.

Package: gridengine-dev
Section: libdevel
Architecture: all
Depends:
	${misc:Depends},
# For jgdi and juti libs
	gridengine-client,
# For jsv lib
	gridengine-common,
Suggests: gridengine-drmaa-dev
Breaks: gridengine-common (<= 8.1.8+dfsg-6)
Replaces: gridengine-common (<= 8.1.8+dfsg-6)
Description: Distributed resource management - development files
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains development files for interacting with
 the Grid Engine database and job submission verifier.

Package: gridengine-drmaa1.0
Architecture: any
Section: libs
Breaks: libdrmaa1.0 (<< 6.2u5-4)
Replaces: libdrmaa1.0 (<< 6.2u5-4)
Depends:
	${shlibs:Depends},
	${misc:Depends},
Description: Distributed resource management Application API library
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the library which provides the Grid Engine
 implementation of the DRMAA specification.

Package: libdrmaa1.0-java
Architecture: all
Section: java
Replaces: libdrmaa-java (<< 8.1.3)
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (>= ${source:Version}),
Suggests: libdrmaa1.0-java-doc
Description: Distributed resource management Application API library - Java bindings
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the Java bindings for the Grid Engine implementation of
 the DRMAA specification.

Package: libdrmaa1.0-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Distributed resource management Application API library - Java bindings docs
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains Javadocs for the Grid Engine Java binding.

Package: gridengine-drmaa-dev
Architecture: any
Section: libdevel
Breaks: libdrmaa-dev (<< 6.2u5-5)
Replaces: libdrmaa-dev (<< 6.2u5-5)
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (= ${binary:Version}),
Description: Distributed resource management Application API library - development files
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the development files for the library which provides
 the Grid Engine implementation of the DRMAA specification.

Package: libdrmaa1.0-ruby
Architecture: all
Section: ruby
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (>= ${source:Version}),
	ruby | ruby-interpreter,
Description: Distributed resource management Application API library - Ruby bindings
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the Ruby bindings for the Grid Engine implementation of
 the DRMAA specification.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# This helps facilitate reproducibility in building
export LC_ALL=C.UTF-8

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
NOOPT = -no-opt
endif
# Pick up `-j' from xxx-buildpackage:
ifneq (,$(DEB_BUILD_OPTIONS))
PARALLEL = -parallel $(shell echo $(DEB_BUILD_OPTIONS) | sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
endif
ifneq (,$(DEB_PARALLEL_JOBS))
PARALLEL = -parallel $(DEB_PARALLEL_JOBS)
endif

PRECMD=$(CURDIR)/debian/linux32-wrapper

export DEB_BUILD_HARDENING=1
# for qmon, sigh
export DEB_BUILD_HARDENING_FORMAT=0

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export SGE_INPUT_CFLAGS = $(CPPFLAGS) $(CFLAGS)
export SGE_INPUT_LDFLAGS = $(LDFLAGS)

export LD_RUN_PATH=/usr/lib/gridengine
SGE_ARCH = $(shell source/dist/util/arch)

%:
	dh $@ --parallel --with autoreconf,autotools-dev

override_dh_auto_build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	cd source \
	&& ${PRECMD} sh scripts/bootstrap.sh \
	&& ${PRECMD} ./aimk \
	-with-jemalloc \
	-DDEFAULT_EDITOR='\"sensible-editor\"' \
	-no-remote \
	-DSGE_LD_PATH='\"/usr/lib/gridengine/\"' \
	-DDEFAULT_EDITOR='\"sensible-editor\"' \
	-with-munge \
	$(NOOPT) $(PARALLEL) \
	&& ${PRECMD} ./aimk -man \
	&& ${PRECMD} ant drmaa.javadoc juti.javadoc jgdi.javadoc jjsv.javadoc
	touch build-stamp

override_dh_clean:
# If just copying Debian debian over SGE distribution tarball
	cd debian && rm -rf sge.* sge-* README
	dh_clean

override_dh_auto_clean:
	rm -f build-stamp
# aimk clean doesn't DTRT
	cd source && rm -rf CLASSES JAVADOCS MANSBUILD_* dist/qmon/Qmon
	find source -type d -name "LINUX*" -print0 | xargs --null rm -rf
	find source -type d -name "build" -print0 | xargs --null rm -rf
	find source -name "*_dependencies" -print0 | xargs --null rm -f
	for t in common exec master client qmon; do \
	  cp debian/gridengine.templates debian/gridengine-$$t.templates; done
	debconf-updatepo
	rm -f debian/qmon.desktop

override_dh_auto_install:
	install -d debian/tmp/usr
	install -d debian/tmp/usr/share
	install -d debian/tmp/lib/$(DEB_HOST_GNU_TYPE)/security
	cd source && /usr/bin/yes | ${PRECMD} scripts/distinst \
	-basedir ${CURDIR}/debian \
	-vdir tmp/usr \
	-allall \
	-noexit
	cd debian/tmp/usr \
	&& mv man share \
	&& $(RM) -r hadoop dtrace ckpt util/sgeSMF start_gui_installer \
	&& $(RM) util/resources/loadsensors/interix-loadsensor.sh \
	&& $(RM) doc/arc_depend* doc/javadocs/index.html \
	&& $(RM) -r util/gui-installer \
	&& mv util/resources/drmaa4ruby .
# qmake clashes with qt
	cd debian/tmp/usr/bin/$(SGE_ARCH) && mv qmake qmake_sge
# Rename some of the spool utils so we can replace them with wrapper scripts
# which set LD_LIBRARY_PATH for the spool libraries
	cd debian/tmp/usr/utilbin/$(SGE_ARCH) \
	&& mv spooledit spooledit.bin \
	&& mv spooldefaults spooldefaults.bin \
	&& install -m 755 $(CURDIR)/debian/spool.wrapper spooledit \
	&& install -m 755 $(CURDIR)/debian/spool.wrapper spooldefaults \
# Make manpage names sane
	cd debian/tmp/usr/share/man && \
	for k in hostnameutils submit; do \
	  mv man1/$$k.1 man1/sge_$$k.1; done && \
	mv man1/qmake.1 man1/qmake_sge.1 && \
	for k in access_list accounting bootstrap calendar_conf checkpoint \
	    complex host_aliases host_conf hostgroup project qtask queue_conf \
	    reporting sched_conf share_tree user; do \
	  mv man5/$$k.5 man5/sge_$$k.5;	done
# Remove manpage symlinks in favour of mandb
	find debian/tmp/usr/share/man -type l | xargs rm -f
	mandb -u -c debian/tmp/usr/share/man
	chmod 755 debian/scripts/init_cluster debian/gridengine-wrapper
	cp debian/bootstrap debian/tmp/default-bootstrap
	cp debian/configuration debian/tmp/default-configuration
	cp source/clients/qmon/qmon.desktop debian
	mv debian/tmp/usr/lib/*/pam_sge* debian/tmp/lib/$(DEB_HOST_GNU_TYPE)/security

override_dh_installinit:
	dh_installinit -p gridengine-master
# Start the execd after the master
	dh_installinit -p gridengine-exec -- defaults 21

override_dh_fixperms:
	dh_fixperms
# not sure why this gets made executable, causing lintian whinges
	if [ -d debian/gridengine-common ]; then \
		chmod -x \
		 debian/gridengine-common/usr/share/gridengine/util/dl.sh \
		 debian/gridengine-common/usr/share/gridengine/util/resources/scripts/README*; \
	fi

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS
